Page MenuHomePhabricator

Press ESC to cancel a message
Closed, ResolvedPublic1 Story Points

Description

Pointed out on Wikidata: it would be nice to be able to cancel out of a Flow entry field by pressing the ESC key.

This should warn you and give you a chance to keep your work if you have unsaved/unposted changes.

If there are two + text fields open at the same time, this will only close the one that's currently in focus.

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterMake pressing Escape key in new topic title input also cancel
mediawiki/extensions/Flow : masterClose editor when Escape is pressed

Event Timeline

DannyH created this task.Jun 2 2015, 9:44 PM
DannyH raised the priority of this task from to Normal.
DannyH updated the task description. (Show Details)
DannyH moved this task to Team discussion on the Collaboration-Team-Triage board.
DannyH added a subscriber: DannyH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2015, 9:44 PM
Mattflaschen-WMF set Security to None.
DannyH updated the task description. (Show Details)Jun 10 2015, 6:42 PM
DannyH edited a custom field.

Change 231419 had a related patch set uploaded (by Catrope):
Close editor when Escape is pressed

https://gerrit.wikimedia.org/r/231419

For the new topic form, it doesn't work when the focus is in the topic title field.

Change 231419 merged by jenkins-bot:
Close editor when Escape is pressed

https://gerrit.wikimedia.org/r/231419

Change 232575 had a related patch set uploaded (by Catrope):
Make pressing Escape key in new topic title input also cancel

https://gerrit.wikimedia.org/r/232575

Change 232575 merged by jenkins-bot:
Make pressing Escape key in new topic title input also cancel

https://gerrit.wikimedia.org/r/232575

Checked in betalabs:

ActionEsc works?
Create a new topicYes
Create a first post( with a new topic)Yes
ReplyYes
Nested ReplyYes
several simultaneously opened editing areasYes, the currently active one(with a blue border) will be closed
Edit board descriptionYes
Edit postNo
Edit titleNo
Edit/add SummaryNo
DannyH closed this task as Resolved.Aug 20 2015, 8:19 PM